Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Interface PropertyEventListener

All Known Implementing Classes:
  ClearspaceManager, LdapVCardProvider, PubSubModule

    public interface PropertyEventListener

Interface to listen for property events. Use the `PropertyEventDispatcher.addListener(PropertyEventListener)` method to register for events.

Author:
  Matt Tucker

Method Summary
`void` | `propertyDeleted(String property, Map<String,Object> params)` A property was deleted.
`void` | `propertySet(String property, Map<String,Object> params)` A property was set.
`void` | `xmlPropertyDeleted(String property, Map<String,Object> params)` An XML property was deleted.
`void` | `xmlPropertySet(String property, Map<String,Object> params)` An XML property was set.

Method Detail

### propertySet

    void propertySet(String property,
                     Map<String,Object> params)

  A property was set. The parameter map `params` will contain the the value of the property under the key `value`.

  Parameters:
    `property` - the name of the property.
    `params` - event parameters.

### propertyDeleted

    void propertyDeleted(String property,
                         Map<String,Object> params)

  A property was deleted.

  Parameters:
    `property` - the name of the property deleted.
    `params` - event parameters.

### xmlPropertySet

    void xmlPropertySet(String property,
                        Map<String,Object> params)

  An XML property was set. The parameter map `params` will contain the the value of the property under the key `value`.

  Parameters:
    `property` - the name of the property.
    `params` - event parameters.

### xmlPropertyDeleted

    void xmlPropertyDeleted(String property,
                            Map<String,Object> params)

  An XML property was deleted.

  Parameters:
    `property` - the name of the property.
    `params` - event parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.